CKEditor

Version:
4.11.4
Entwicklungsstatus:
Stable
Veröffentlichungsdatum:
2019/05/12
Lizenz:
GPL
Autoren:
diverse, norhei, cwsoft, colinax
Sprache für Beschreibung:
EN | DE
Beschreibung EN:
The brand new version of the CKEditor module for WBCE CMS comes with some fantastic enhancements.

With version 4.7.0.1 a plugin for simple adding FontAwesome-Icons to your WYSIWYG content has been included. If your template does not load FA yet, but you have already updated to WBCE CMS 1.2 or later, you just have to install the FontAwesome snippet which is available here too.

The CKE is offered in the default package with just the necessary plugins, and in the developer package with all useful plugins one can think of.

Important: CKEditor 4.7.x and higher requiries WBCE CMS 1.2 or newer!
Note: Only the developer package has the option for individual toolbar configuration by wb_config.js in the template directory.
Beschreibung DE:
Die neue Version des CKEditors beinhaltet zahlreiche Optimierungen und Erweiterungen.

Details siehe Forum:
https://forum.wbce.org/viewtopic.php?id=1048

Neu: Der CKE wird in zwei - parallel installierbaren - Varianten angeboten. Die Standardversion umfasst alle für das tägliche Bearbeiten von Inhalten erforderlichen Funktionen. Die Developer-Version beinhaltet alle erdenklichen Plugins.

Bitte beachten: NUR die Developer-Version unterstützt die Individualisierung der Symbolleiste durch eine wb_ckconfig.js, bei der Standardversion ist dies nicht mehr der Fall.

Der CKEditor 4.7.0.1 beinhaltet auch ein Plugin, mit dem sich komfortabel FontAwesome-Icons im WYSIWYG-Content einfügen lassen. Falls das Frontendtemplate das FontAwesome-CSS nicht bereits selbst lädt, kann dies (ab WBCE CMS 1.2) mit dem FontAwesomeSnippet ganz einfach nachgerüstet werden.

Wichtig! Der CKEditor 4.7.x und neuer funktioniert nur ab WBCE CMS 1.2!


Icons made by Pixel perfect (Puzzle) / Freepik (others) from www.flaticon.com is licensed by CC 3.0 BY